Bug 547555 - SELinux is preventing /usr/bin/mythfrontend from loading /usr/lib/mythtv/filters/libgreedyhdeint.so which requires text relocation.
Summary: SELinux is preventing /usr/bin/mythfrontend from loading /usr/lib/mythtv/filt...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8dbdb463caf...
: 551890 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-14 22:23 UTC by dark.tmtfx
Modified: 2010-01-04 11:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:36 UTC
Type: ---


Attachments (Terms of Use)

Description dark.tmtfx 2009-12-14 22:23:48 UTC
Sommario:

SELinux is preventing /usr/bin/mythfrontend from loading
/usr/lib/mythtv/filters/libgreedyhdeint.so which requires text relocation.

Descrizione dettagliata:

The mythfrontend application attempted to load
/usr/lib/mythtv/filters/libgreedyhdeint.so which requires text relocation. This
is a potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/mythtv/filters/libgreedyhdeint.so to use relocation as a workaround,
until the library is fixed. Please file a bug report.

Abilitazione accesso in corso:

If you trust /usr/lib/mythtv/filters/libgreedyhdeint.so to run correctly, you
can change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/mythtv/filters/libgreedyhdeint.so'" You must also change the default
file context files on the system in order to preserve them even on a full
relabel. "semanage fcontext -a -t textrel_shlib_t
'/usr/lib/mythtv/filters/libgreedyhdeint.so'"

Comando fix:

chcon -t textrel_shlib_t '/usr/lib/mythtv/filters/libgreedyhdeint.so'

Informazioni aggiuntive:

Contesto della sorgente       unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Contesto target               system_u:object_r:lib_t:s0
Oggetti target                /usr/lib/mythtv/filters/libgreedyhdeint.so [ file
                              ]
Sorgente                      mythfrontend
Percorso della sorgente       /usr/bin/mythfrontend
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        mythtv-frontend-0.22-2.fc12
Pacchetti RPM target          mythtv-frontend-0.22-2.fc12
RPM della policy              selinux-policy-3.6.32-55.fc12
Selinux abilitato             True
Tipo di policy                targeted
Modalità Enforcing           Enforcing
Nome plugin                   allow_execmod
Host Name                     (removed)
Piattaforma                   Linux (removed) 2.6.31.6-166.fc12.i686.PAE #1
                              SMP Wed Dec 9 11:00:30 EST 2009 i686 i686
Conteggio avvisi              12
Primo visto                   lun 14 dic 2009 22:47:47 CET
Ultimo visto                  lun 14 dic 2009 22:55:57 CET
ID locale                     3df7beb8-a4e1-42da-8732-07146aceb4f8
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1260827757.506:22391): avc:  denied  { execmod } for  pid=2772 comm="mythfrontend" path="/usr/lib/mythtv/filters/libgreedyhdeint.so" dev=dm-0 ino=95656 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260827757.506:22391): arch=40000003 syscall=125 success=no exit=-13 a0=1e73000 a1=4000 a2=5 a3=a31eddf0 items=0 ppid=2385 pid=2772 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="mythfrontend" exe="/usr/bin/mythfrontend" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,allow_execmod,mythfrontend,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t lib_t:file execmod;

Comment 1 Daniel Walsh 2009-12-15 13:58:14 UTC
Use the chcon command suggested in the alert.  Please report this as a bug to mythtv as they are building their library incorrectly.

This link
http://people.redhat.com/~drepper/selinux-mem.html
explains the access.

Fixed the labeling in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:56:00 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:44:08 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384

Comment 4 Miroslav Grepl 2010-01-04 11:50:58 UTC
*** Bug 551890 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.